using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace SampleClient
{
    public partial class FormChangePath : Form
    {
        public string PathTo;
        public FormChangePath(string PathToIn)
        {
            InitializeComponent();
            this.textBox1.Text = PathToIn;
        }

        private void buttonOk_Click(object sender, EventArgs e)
        {
            if (!this.textBox1.Text.StartsWith("\\"))
                this.PathTo = "\\" +this.textBox1.Text;
            else
                this.PathTo = this.textBox1.Text;
            this.DialogResult = DialogResult.OK;
        }

        private void buttonCancel_Click(object sender, EventArgs e)
        {
            this.PathTo = "";
            this.DialogResult = DialogResult.Cancel;

        }
    }
}